Name:           xwnc
Summary:        Mix of Xvnc and XDarwin with improved protocol
Version:        0.3.3
Release:        8%{?dist}

License:        GPLv2+
Group:          User Interface/X
URL:            http://insitu.lri.fr/~chapuis/metisse/download_install.html
Source0:        http://download.gna.org/underware/sources/%{name}-%{version}.tar.gz
Patch0:         xwnc-debian-01.dpatch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  zlib-devel libGL-devel libtool

%description
%{summary}.


%prep
%setup -q
%patch0 -p1 -b .debian~
autoreconf --force --install


%build
%configure --without-fvwm-ametista --disable-glx
# does not build correctly with SMP flags
make LDFLAGS=-Wl,--export-dynamic


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_bindir}/Xwnc


%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 08 2008 Christopher Stone <chris.stone@gmail.com> 0.3.3-6
- Try linking with -Wl,--export-dynamic.

* Thu Jul 03 2008 Christopher Stone <chris.stone@gmail.com> 0.3.3-5
- Rebuild for new Mesa

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> 0.3.3-4
- Autorebuild for GCC 4.3

* Wed Jan 10 2007 Christopher Stone <chris.stone@gmail.com> 0.3.3-3
- Update to latest debian patch
- Remove unneeded BuildRequires

* Wed Jan 10 2007 Christopher Stone <chris.stone@gmail.com> 0.3.3-2
- Add NEWS to %%doc
- Remove glob from %%files

* Mon Jan 08 2007 Christopher Stone <chris.stone@gmail.com> 0.3.3-1
- Initial Fedora release
